#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# requires terminal
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Term
%define		pnam	ReadKey
Summary:	Term::ReadKey - Perl module for simple terminal control
Summary(pl.UTF-8):	Term::ReadKey - moduł Perla do prostego sterowania terminalem
Name:		perl-Term-ReadKey
Version:	2.30
Release:	8
License:	BSD-like
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Term/%{pdir}%{pnam}-%{version}.tar.gz
# Source0-md5:	f0ef2cea8acfbcc58d865c05b0c7e1ff
URL:		http://search.cpan.org/dist/TermReadKey/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-%{pdir}%{pnam}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module, Term::ReadKey, provides ioctl control for terminals so
the input modes can be changed (thus allowing reads of a single
character at a time), and also provides non-blocking reads of stdin,
as well as several other terminal related features, including
retrieval/modification of the screen size, and retrieval/modification
of the control characters.

%description -l pl.UTF-8
Moduł Perla Term::ReadKey udostępnia obsługę ioctl dla terminali,
umożliwiając zmianę trybu wejścia (co pozwala na czytanie po jednym
znaku) oraz nieblokujący odczyt z wejścia, a także inne funkcje
związane z terminalem, w tym odczytywanie i modyfikowanie rozmiaru
ekranu oraz odczytywanie i modyfikowanie znaków kontrolnych.

%description -l pt_BR.UTF-8
Este módulo fornece controle via ioctl para terminais, de tal forma
que seus modos de entrada possam ser modificados (desta forma
permitindo a leitura de um caracter somente por vez) e também fornece
leitura não bloqueantes da entrada padrão (stdin), bem como várias
outras características relacionadas a terminais, entre elas a
recuperação/modificação do tamanho da tela e dos caracteres de
controle.

%prep
%setup -q -n TermReadKey-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Term/ReadKey.pm
%dir %{perl_vendorarch}/auto/Term/ReadKey
# empty autosplit.ix
#%%{perl_vendorarch}/auto/Term/ReadKey/autosplit.ix
%{perl_vendorarch}/auto/Term/ReadKey/ReadKey.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Term/ReadKey/ReadKey.so
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Term-ReadKey.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> ebe2075
- rebuild with perl 5.18.0
- release 8 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 5f930e3
- rel 7

* Sat Jun 05 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d71ffe
- release 6

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> 608938b
- release 5

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> dd5813c
- generic URL
- informative summaries

* Sun Mar 02 2008 radek <radek@pld-linux.org> 92e9a98
- release 4

* Fri Feb 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3de7162
- rel 3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 31c9148
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> dd6d498
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 31a6b9f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c619580
- converted to UTF-8

* Sun May 29 2005 petec <petec@pld-linux.org> c5b30b1
- up to 2.30

* Mon May 09 2005 Paweł Sikora <pluto@pld-linux.org> cf14f44
- release bump for rebuild for x86-64 target.

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 7c72ccb
- formatting

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> 6b78a5e
- spelling fixes, uppercases, etc.

* Sat Jun 05 2004 radek <radek@pld-linux.org> 170c77f
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 19317be
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> dbbdf54
- fixed perl-devel BR

* Wed May 05 2004 ankry <ankry@pld-linux.org> 2d67d24
- cosmetics

* Mon May 03 2004 ankry <ankry@pld-linux.org> 04acdc9
- tests added, license fizes, cosmetics

